Changeset 2972 for ThirdParty/SCIP


Ignore:
Timestamp:
Oct 15, 2013 9:53:08 AM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SCIP/trunk/configure

    r2910 r2972  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-scip compile project SCIP with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --enable-static[=PKGS]
    10901087                          build static libraries [default=no]
     
    19171914
    19181915# Get the name of the C compiler and appropriate compiler options
    1919 case $build in
     1916
     1917
     1918  # for backward compatibility
     1919  # Check whether --enable-doscompile or --disable-doscompile was given.
     1920if test "${enable_doscompile+set}" = set; then
     1921  enableval="$enable_doscompile"
     1922  enable_doscompile=$enableval
     1923else
     1924  enable_doscompile=no
     1925fi;
     1926
     1927  # Check whether --enable-msvc or --disable-msvc was given.
     1928if test "${enable_msvc+set}" = set; then
     1929  enableval="$enable_msvc"
     1930  enable_msvc=$enableval
     1931else
     1932  enable_msvc=no
     1933     if test "$enable_doscompile" = msvc ; then
     1934       enable_msvc=yes
     1935     elif test "$enable_doscompile" != no ; then
     1936       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1937echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1938   { (exit 1); exit 1; }; }
     1939     fi
     1940
     1941fi;
     1942
     1943  if test "$enable_msvc" = yes; then
     1944    case $build in
     1945      *-cygwin* | *-mingw*) ;;
     1946      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1947echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1948   { (exit 1); exit 1; }; } ;;
     1949    esac
     1950  fi
     1951
     1952
     1953 case $build in
    19201954  *-mingw*)
    19211955    if test "${LD+set}" = set; then :; else
     
    19241958    ;;
    19251959 esac
    1926  case $enable_doscompile in
    1927    msvc)
    1928      if test "x${LD+set}" = xset; then :; else
    1929        LD=link
    1930      fi
    1931      ;;
    1932  esac
    1933 
    1934 
    1935  # Check whether --enable-doscompile or --disable-doscompile was given.
    1936 if test "${enable_doscompile+set}" = set; then
    1937   enableval="$enable_doscompile"
    1938   if test "$enable_doscompile" != no; then
    1939      case $build in
    1940        *-cygwin* | *-mingw*) ;;
    1941        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1942 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1960 if test $enable_msvc = yes ; then
     1961   if test "x${LD+set}" = xset; then :; else
     1962     LD=link
     1963   fi
     1964 fi
     1965
     1966
     1967# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1968if test "${enable_static_standardlibs+set}" = set; then
     1969  enableval="$enable_static_standardlibs"
     1970  case "$enableval" in
     1971     no | yes | auto ) ;;
     1972     *)
     1973       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1974echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    19431975   { (exit 1); exit 1; }; } ;;
    1944      esac
    1945    fi
    1946 else
    1947   enable_doscompile=no
     1976   esac
     1977   use_static_standardlibs=$enableval
     1978else
     1979  use_static_standardlibs=no
    19481980fi;
    1949  case "$enable_doscompile" in
    1950    mingw)
    1951      case $build in
    1952        *-mingw*) enable_doscompile=no ;;
    1953      esac
    1954      ;;
    1955    msvc|no) ;;
    1956    yes) enable_doscompile=mingw ;;
    1957    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1958                     Try configure --help=recursive." >&5
    1959 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1960                     Try configure --help=recursive." >&2;}
    1961    { (exit 1); exit 1; }; }
    1962       ;;
    1963   esac
    1964   if test "$enable_doscompile" != no ; then
    1965     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1966 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1967   fi
     1981
    19681982
    19691983
     
    20082022case $build in
    20092023  *-cygwin* | *-mingw*)
    2010              if test "$enable_doscompile" = msvc ; then
    2011                comps="icl cl"
     2024             if test "$enable_msvc" = yes ; then
     2025               comps="icl cl gcc"
    20122026             else
    2013                comps="gcc cl"
     2027               comps="gcc icl cl"
    20142028             fi ;;
    20152029  *-*-solaris*)
     
    28642878            ;;
    28652879        esac
    2866         case $enable_doscompile in
    2867           mingw)
    2868             CFLAGS="-mno-cygwin"
    2869             cat >conftest.$ac_ext <<_ACEOF
    2870 /* confdefs.h.  */
    2871 _ACEOF
    2872 cat confdefs.h >>conftest.$ac_ext
    2873 cat >>conftest.$ac_ext <<_ACEOF
    2874 /* end confdefs.h.  */
    2875 
    2876 int
    2877 main ()
    2878 {
    2879 int i=0; i++;
    2880   ;
    2881   return 0;
    2882 }
    2883 _ACEOF
    2884 rm -f conftest.$ac_objext conftest$ac_exeext
    2885 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2886   (eval $ac_link) 2>conftest.er1
    2887   ac_status=$?
    2888   grep -v '^ *+' conftest.er1 >conftest.err
    2889   rm -f conftest.er1
    2890   cat conftest.err >&5
    2891   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2892   (exit $ac_status); } &&
    2893          { ac_try='test -z "$ac_c_werror_flag"
    2894                          || test ! -s conftest.err'
    2895   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2896   (eval $ac_try) 2>&5
    2897   ac_status=$?
    2898   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2899   (exit $ac_status); }; } &&
    2900          { ac_try='test -s conftest$ac_exeext'
    2901   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2902   (eval $ac_try) 2>&5
    2903   ac_status=$?
    2904   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2905   (exit $ac_status); }; }; then
    2906   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2907 else
    2908   echo "$as_me: failed program was:" >&5
    2909 sed 's/^/| /' conftest.$ac_ext >&5
    2910 
    2911 fi
    2912 rm -f conftest.err conftest.$ac_objext \
    2913       conftest$ac_exeext conftest.$ac_ext
    2914             CFLAGS=
    2915           ;;
    2916         esac
    29172880    esac
    29182881  fi
     
    31053068    CFLAGS="$OPT_CFLAGS"
    31063069  fi
     3070
    31073071else
    31083072  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32553219  clang* ) ;;
    32563220  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3257     case $build in
     3221
     3222 case $build in
    32583223  *-mingw*)
    32593224    if test "${LD+set}" = set; then :; else
     
    32623227    ;;
    32633228 esac
    3264  case $enable_doscompile in
    3265    msvc)
    3266      if test "x${LD+set}" = xset; then :; else
    3267        LD=link
    3268      fi
    3269      ;;
    3270  esac
     3229 if test $enable_msvc = yes ; then
     3230   if test "x${LD+set}" = xset; then :; else
     3231     LD=link
     3232   fi
     3233 fi
    32713234
    32723235    ;;
    32733236esac
     3237
     3238# check whether to add flags for static linking against standard libraries to LDFLAGS
     3239if test x$use_static_standardlibs != xno ; then
     3240  case $build in
     3241    *-mingw*)
     3242      static_standardlib_flag=-static
     3243      ;;
     3244    *)
     3245      static_standardlib_flag=-static-libgcc
     3246      ;;
     3247  esac
     3248  case " $LDFLAGS " in
     3249    *" $static_standardlib_flag "* ) ;;
     3250    *)
     3251    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3252echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3253    coin_save_LDFLAGS="$LDFLAGS"
     3254    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3255    cat >conftest.$ac_ext <<_ACEOF
     3256/* confdefs.h.  */
     3257_ACEOF
     3258cat confdefs.h >>conftest.$ac_ext
     3259cat >>conftest.$ac_ext <<_ACEOF
     3260/* end confdefs.h.  */
     3261
     3262int
     3263main ()
     3264{
     3265int i=0;
     3266  ;
     3267  return 0;
     3268}
     3269_ACEOF
     3270rm -f conftest.$ac_objext conftest$ac_exeext
     3271if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3272  (eval $ac_link) 2>conftest.er1
     3273  ac_status=$?
     3274  grep -v '^ *+' conftest.er1 >conftest.err
     3275  rm -f conftest.er1
     3276  cat conftest.err >&5
     3277  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3278  (exit $ac_status); } &&
     3279         { ac_try='test -z "$ac_c_werror_flag"
     3280                         || test ! -s conftest.err'
     3281  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3282  (eval $ac_try) 2>&5
     3283  ac_status=$?
     3284  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3285  (exit $ac_status); }; } &&
     3286         { ac_try='test -s conftest$ac_exeext'
     3287  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3288  (eval $ac_try) 2>&5
     3289  ac_status=$?
     3290  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3291  (exit $ac_status); }; }; then
     3292  echo "$as_me:$LINENO: result: yes" >&5
     3293echo "${ECHO_T}yes" >&6
     3294else
     3295  echo "$as_me: failed program was:" >&5
     3296sed 's/^/| /' conftest.$ac_ext >&5
     3297
     3298echo "$as_me:$LINENO: result: no" >&5
     3299echo "${ECHO_T}no" >&6
     3300       LDFLAGS="$coin_save_LDFLAGS"
     3301       if test $use_static_standardlibs = yes ; then
     3302         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3303echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3304   { (exit 1); exit 1; }; }
     3305       fi
     3306
     3307fi
     3308rm -f conftest.err conftest.$ac_objext \
     3309      conftest$ac_exeext conftest.$ac_ext
     3310    ;;
     3311  esac
     3312fi
    32743313
    32753314ac_ext=c
     
    32853324 #Let's try if that overcomes configuration problem with VC++ 6.0
    32863325
     3326
    32873327ac_ext=cc
    32883328ac_cpp='$CXXCPP $CPPFLAGS'
     
    33033343case $build in
    33043344  *-cygwin* | *-mingw*)
    3305              if test "$enable_doscompile" = msvc ; then
    3306                comps="icl cl"
    3307              else
    3308                comps="g++ cl"
    3309              fi ;;
     3345      if test "$enable_msvc" = yes ; then
     3346         comps="icl cl g++"
     3347      else
     3348         comps="g++ icl cl"
     3349      fi ;;
    33103350  *-*-solaris*)
    33113351             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    38153855            ;;
    38163856        esac
    3817 
    3818         case $enable_doscompile in
    3819           mingw)
    3820             CXXFLAGS="-mno-cygwin"
    3821             cat >conftest.$ac_ext <<_ACEOF
    3822 /* confdefs.h.  */
    3823 _ACEOF
    3824 cat confdefs.h >>conftest.$ac_ext
    3825 cat >>conftest.$ac_ext <<_ACEOF
    3826 /* end confdefs.h.  */
    3827 
    3828 int
    3829 main ()
    3830 {
    3831 int i=0; i++;
    3832   ;
    3833   return 0;
    3834 }
    3835 _ACEOF
    3836 rm -f conftest.$ac_objext conftest$ac_exeext
    3837 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3838   (eval $ac_link) 2>conftest.er1
    3839   ac_status=$?
    3840   grep -v '^ *+' conftest.er1 >conftest.err
    3841   rm -f conftest.er1
    3842   cat conftest.err >&5
    3843   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3844   (exit $ac_status); } &&
    3845          { ac_try='test -z "$ac_cxx_werror_flag"
    3846                          || test ! -s conftest.err'
    3847   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3848   (eval $ac_try) 2>&5
    3849   ac_status=$?
    3850   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3851   (exit $ac_status); }; } &&
    3852          { ac_try='test -s conftest$ac_exeext'
    3853   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3854   (eval $ac_try) 2>&5
    3855   ac_status=$?
    3856   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3857   (exit $ac_status); }; }; then
    3858   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3859 else
    3860   echo "$as_me: failed program was:" >&5
    3861 sed 's/^/| /' conftest.$ac_ext >&5
    3862 
    3863 fi
    3864 rm -f conftest.err conftest.$ac_objext \
    3865       conftest$ac_exeext conftest.$ac_ext
    3866             CXXFLAGS=
    3867           ;;
    3868         esac
    38693857    esac
    38703858  fi
     
    42184206  clang* ) ;;
    42194207  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4220     case $build in
     4208
     4209 case $build in
    42214210  *-mingw*)
    42224211    if test "${LD+set}" = set; then :; else
     
    42254214    ;;
    42264215 esac
    4227  case $enable_doscompile in
    4228    msvc)
    4229      if test "x${LD+set}" = xset; then :; else
    4230        LD=link
    4231      fi
    4232      ;;
    4233  esac
     4216 if test $enable_msvc = yes ; then
     4217   if test "x${LD+set}" = xset; then :; else
     4218     LD=link
     4219   fi
     4220 fi
    42344221
    42354222    ;;
    42364223esac
     4224
     4225# check whether to add flag for static linking against standard libraries to LDFLAGS
     4226if test x$use_static_standardlibs != xno ; then
     4227  case $build in
     4228    *-mingw*)
     4229      static_standardlib_flag=-static
     4230      ;;
     4231    *)
     4232      static_standardlib_flag=-static-libstdc++
     4233      ;;
     4234  esac
     4235  case " $LDFLAGS " in
     4236    *" $static_standardlib_flag "* ) ;;
     4237    *)
     4238    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4239echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4240    coin_save_LDFLAGS="$LDFLAGS"
     4241    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4242    cat >conftest.$ac_ext <<_ACEOF
     4243/* confdefs.h.  */
     4244_ACEOF
     4245cat confdefs.h >>conftest.$ac_ext
     4246cat >>conftest.$ac_ext <<_ACEOF
     4247/* end confdefs.h.  */
     4248
     4249int
     4250main ()
     4251{
     4252int i=0;
     4253  ;
     4254  return 0;
     4255}
     4256_ACEOF
     4257rm -f conftest.$ac_objext conftest$ac_exeext
     4258if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4259  (eval $ac_link) 2>conftest.er1
     4260  ac_status=$?
     4261  grep -v '^ *+' conftest.er1 >conftest.err
     4262  rm -f conftest.er1
     4263  cat conftest.err >&5
     4264  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4265  (exit $ac_status); } &&
     4266         { ac_try='test -z "$ac_cxx_werror_flag"
     4267                         || test ! -s conftest.err'
     4268  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4269  (eval $ac_try) 2>&5
     4270  ac_status=$?
     4271  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4272  (exit $ac_status); }; } &&
     4273         { ac_try='test -s conftest$ac_exeext'
     4274  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4275  (eval $ac_try) 2>&5
     4276  ac_status=$?
     4277  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4278  (exit $ac_status); }; }; then
     4279  echo "$as_me:$LINENO: result: yes" >&5
     4280echo "${ECHO_T}yes" >&6
     4281else
     4282  echo "$as_me: failed program was:" >&5
     4283sed 's/^/| /' conftest.$ac_ext >&5
     4284
     4285echo "$as_me:$LINENO: result: no" >&5
     4286echo "${ECHO_T}no" >&6
     4287       LDFLAGS="$coin_save_LDFLAGS"
     4288       if test $use_static_standardlibs = yes ; then
     4289         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4290echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4291   { (exit 1); exit 1; }; }
     4292       fi
     4293
     4294fi
     4295rm -f conftest.err conftest.$ac_objext \
     4296      conftest$ac_exeext conftest.$ac_ext
     4297    ;;
     4298  esac
     4299fi
    42374300
    42384301ac_ext=c
     
    60046067*-*-irix6*)
    60056068  # Find out which ABI we are using.
    6006   echo '#line 6006 "configure"' > conftest.$ac_ext
     6069  echo '#line 6069 "configure"' > conftest.$ac_ext
    60076070  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60086071  (eval $ac_compile) 2>&5
     
    71387201
    71397202# Provide some information about the compiler.
    7140 echo "$as_me:7140:" \
     7203echo "$as_me:7203:" \
    71417204     "checking for Fortran 77 compiler version" >&5
    71427205ac_compiler=`set X $ac_compile; echo $2`
     
    82058268   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82068269   -e 's:$: $lt_compiler_flag:'`
    8207    (eval echo "\"\$as_me:8207: $lt_compile\"" >&5)
     8270   (eval echo "\"\$as_me:8270: $lt_compile\"" >&5)
    82088271   (eval "$lt_compile" 2>conftest.err)
    82098272   ac_status=$?
    82108273   cat conftest.err >&5
    8211    echo "$as_me:8211: \$? = $ac_status" >&5
     8274   echo "$as_me:8274: \$? = $ac_status" >&5
    82128275   if (exit $ac_status) && test -s "$ac_outfile"; then
    82138276     # The compiler can only warn and ignore the option if not recognized
     
    84738536   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84748537   -e 's:$: $lt_compiler_flag:'`
    8475    (eval echo "\"\$as_me:8475: $lt_compile\"" >&5)
     8538   (eval echo "\"\$as_me:8538: $lt_compile\"" >&5)
    84768539   (eval "$lt_compile" 2>conftest.err)
    84778540   ac_status=$?
    84788541   cat conftest.err >&5
    8479    echo "$as_me:8479: \$? = $ac_status" >&5
     8542   echo "$as_me:8542: \$? = $ac_status" >&5
    84808543   if (exit $ac_status) && test -s "$ac_outfile"; then
    84818544     # The compiler can only warn and ignore the option if not recognized
     
    85778640   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85788641   -e 's:$: $lt_compiler_flag:'`
    8579    (eval echo "\"\$as_me:8579: $lt_compile\"" >&5)
     8642   (eval echo "\"\$as_me:8642: $lt_compile\"" >&5)
    85808643   (eval "$lt_compile" 2>out/conftest.err)
    85818644   ac_status=$?
    85828645   cat out/conftest.err >&5
    8583    echo "$as_me:8583: \$? = $ac_status" >&5
     8646   echo "$as_me:8646: \$? = $ac_status" >&5
    85848647   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85858648   then
     
    1092210985  lt_status=$lt_dlunknown
    1092310986  cat > conftest.$ac_ext <<EOF
    10924 #line 10924 "configure"
     10987#line 10987 "configure"
    1092510988#include "confdefs.h"
    1092610989
     
    1102211085  lt_status=$lt_dlunknown
    1102311086  cat > conftest.$ac_ext <<EOF
    11024 #line 11024 "configure"
     11087#line 11087 "configure"
    1102511088#include "confdefs.h"
    1102611089
     
    1336613429   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1336713430   -e 's:$: $lt_compiler_flag:'`
    13368    (eval echo "\"\$as_me:13368: $lt_compile\"" >&5)
     13431   (eval echo "\"\$as_me:13431: $lt_compile\"" >&5)
    1336913432   (eval "$lt_compile" 2>conftest.err)
    1337013433   ac_status=$?
    1337113434   cat conftest.err >&5
    13372    echo "$as_me:13372: \$? = $ac_status" >&5
     13435   echo "$as_me:13435: \$? = $ac_status" >&5
    1337313436   if (exit $ac_status) && test -s "$ac_outfile"; then
    1337413437     # The compiler can only warn and ignore the option if not recognized
     
    1347013533   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1347113534   -e 's:$: $lt_compiler_flag:'`
    13472    (eval echo "\"\$as_me:13472: $lt_compile\"" >&5)
     13535   (eval echo "\"\$as_me:13535: $lt_compile\"" >&5)
    1347313536   (eval "$lt_compile" 2>out/conftest.err)
    1347413537   ac_status=$?
    1347513538   cat out/conftest.err >&5
    13476    echo "$as_me:13476: \$? = $ac_status" >&5
     13539   echo "$as_me:13539: \$? = $ac_status" >&5
    1347713540   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1347813541   then
     
    1504015103   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1504115104   -e 's:$: $lt_compiler_flag:'`
    15042    (eval echo "\"\$as_me:15042: $lt_compile\"" >&5)
     15105   (eval echo "\"\$as_me:15105: $lt_compile\"" >&5)
    1504315106   (eval "$lt_compile" 2>conftest.err)
    1504415107   ac_status=$?
    1504515108   cat conftest.err >&5
    15046    echo "$as_me:15046: \$? = $ac_status" >&5
     15109   echo "$as_me:15109: \$? = $ac_status" >&5
    1504715110   if (exit $ac_status) && test -s "$ac_outfile"; then
    1504815111     # The compiler can only warn and ignore the option if not recognized
     
    1514415207   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1514515208   -e 's:$: $lt_compiler_flag:'`
    15146    (eval echo "\"\$as_me:15146: $lt_compile\"" >&5)
     15209   (eval echo "\"\$as_me:15209: $lt_compile\"" >&5)
    1514715210   (eval "$lt_compile" 2>out/conftest.err)
    1514815211   ac_status=$?
    1514915212   cat out/conftest.err >&5
    15150    echo "$as_me:15150: \$? = $ac_status" >&5
     15213   echo "$as_me:15213: \$? = $ac_status" >&5
    1515115214   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1515215215   then
     
    1735117414   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1735217415   -e 's:$: $lt_compiler_flag:'`
    17353    (eval echo "\"\$as_me:17353: $lt_compile\"" >&5)
     17416   (eval echo "\"\$as_me:17416: $lt_compile\"" >&5)
    1735417417   (eval "$lt_compile" 2>conftest.err)
    1735517418   ac_status=$?
    1735617419   cat conftest.err >&5
    17357    echo "$as_me:17357: \$? = $ac_status" >&5
     17420   echo "$as_me:17420: \$? = $ac_status" >&5
    1735817421   if (exit $ac_status) && test -s "$ac_outfile"; then
    1735917422     # The compiler can only warn and ignore the option if not recognized
     
    1761917682   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1762017683   -e 's:$: $lt_compiler_flag:'`
    17621    (eval echo "\"\$as_me:17621: $lt_compile\"" >&5)
     17684   (eval echo "\"\$as_me:17684: $lt_compile\"" >&5)
    1762217685   (eval "$lt_compile" 2>conftest.err)
    1762317686   ac_status=$?
    1762417687   cat conftest.err >&5
    17625    echo "$as_me:17625: \$? = $ac_status" >&5
     17688   echo "$as_me:17688: \$? = $ac_status" >&5
    1762617689   if (exit $ac_status) && test -s "$ac_outfile"; then
    1762717690     # The compiler can only warn and ignore the option if not recognized
     
    1772317786   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1772417787   -e 's:$: $lt_compiler_flag:'`
    17725    (eval echo "\"\$as_me:17725: $lt_compile\"" >&5)
     17788   (eval echo "\"\$as_me:17788: $lt_compile\"" >&5)
    1772617789   (eval "$lt_compile" 2>out/conftest.err)
    1772717790   ac_status=$?
    1772817791   cat out/conftest.err >&5
    17729    echo "$as_me:17729: \$? = $ac_status" >&5
     17792   echo "$as_me:17792: \$? = $ac_status" >&5
    1773017793   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1773117794   then
     
    2511225175echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2511325176coin_link_input_cmd="$LN_S"
    25114 if test "$enable_doscompile" = mingw; then
    25115   coin_link_input_cmd=cp
    25116 fi
    2511725177case "$CC" in
    2511825178  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.